#include <stdio.h>
#include <allegro.h>

#include "mapedit.h"
#include "graphics.h"


int showpict(char *pictfile,int x, int y, int destx, int desty, int width, int height)
{
   PALLETE pallete1;
   BITMAP *the_pict;

   the_pict=load_bitmap(pictfile,pallete1);
   if(!the_pict)
   {
      allegro_exit();
      clrscr();
      printf("Error: Couldn't load %s\n",pictfile);
      printf("Please check the files and try your game again.\n");
      exit(1);
   }
   set_pallete(pallete1);
   blit(the_pict,screen,x,y,destx,desty,width,height);
}

int showtranspict(char *pictfile,int x, int y, int destx, int desty, int width, int height)
{
   PALLETE pallete1;
   BITMAP *the_pict;

   the_pict=load_bitmap(pictfile,pallete1);
   if(!the_pict)
   {
      allegro_exit();
      clrscr();
      printf("Error: Couldn't load %s\n",pictfile);
      printf("Please check the files and try your game again.\n");
      exit(1);
   }
   set_pallete(pallete1);
   masked_blit(the_pict,screen,x,y,destx,desty,width,height);
}
